OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-beta1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - i -

- i : GraphEdgeIterator, LanguagePackGlyphSearcher
- icon : CheatWindow, PerformanceLeagueWindow
- icon_size : ScriptLeagueWindow, TownAuthorityWindow
- icon_width : BuildBridgeWindow
- id : AllowedSubtags, Button< T >, ChunkHandler, ContentInfo, NamePart, OptionData, TownNameStyle
- ident : GRFConfig
- IDENT : LanguagePackHeader
- ident : LanguagePackHeader, NamedGRFIdentifier
- IDLE_TIMEOUT : ClientNetworkContentSocketHandler, ClientNetworkCoordinatorSocketHandler
- image : CursorSprite, ParentSpriteToDraw
- image_1 : DrawIndustryAnimationStruct
- image_2 : DrawIndustryAnimationStruct
- image_3 : DrawIndustryAnimationStruct
- image_override : DisasterVehicle
- imgbtn : WidgetDimensions
- improved_load : OrderSettings
- in_shutdown : ScriptInstance
- in_use : Livery
- in_window : CursorVars
- inaugurated_year : CompanyProperties, NetworkCompanyInfo
- inaugurated_year_calendar : CompanyProperties
- include_no_rating : CompanyStationsWindow::FilterState
- income : CompanyEconomyEntry, NetworkCompanyInfo
- incoming_queue : NetworkGameSocketHandler
- ind_cargo : IndustryCargoesWindow
- ind_scope : IndustryTileResolverObject
- ind_textsize : IndustryCargoesWindow
- ind_type : CargoesField
- indent : GUIEngineListItem, GUIGroupListItem
- index : LangString, NewGRFClass< Tspec, Tindex, Tmax >, NewGRFSpecBase< Tindex >, NWidgetCore, NWidgetLayer, NWidgetMatrix, NWidgetPartWidget, NWidgetStacked, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >, VehicleListIdentifier
- individual_wagons : BuildDepotVehicleListData
- indtile_scope : IndustryTileResolverObject
- indtype : Station
- indtypes : StationNameInformation
- industries : Industry
- industries_near : Station
- industries_scope : IndustriesResolverObject
- industry : CargoesField, IndustriesScopeResolver, IndustryTileScopeResolver, Station
- industry_cargo_scale : EconomySettings
- INDUSTRY_CUT_TREE_TICKS : Ticks
- industry_daily_change_counter : Economy
- industry_daily_increment : Economy
- industry_density : DifficultySettings
- industry_editbox : IndustryDirectoryWindow
- INDUSTRY_LINE_COLOUR : CargoesField
- INDUSTRY_MIN_NUMBER_OF_COLUMNS : SmallMapWindow
- industry_platform : ConstructionSettings
- INDUSTRY_PRODUCE_TICKS : Ticks
- industry_width : CargoesField
- inf : NWidgetNewGRFDisplay
- infinite_money : DifficultySettings
- infl_amount : Economy
- infl_amount_pr : Economy
- inflation : EconomySettings
- inflation_payment : Economy
- inflation_prices : Economy
- info : Game, GRFConfig, NetworkGameList, NetworkGameSocketHandler, ScriptConfig
- info_dummy : AIScannerInfo
- info_height : BuildObjectWindow, IndustryViewWindow
- info_list : ScriptListWindow, ScriptScanner
- info_single_list : ScriptScanner
- information_width : RefitWindow
- infos : ClientNetworkContentSocketHandler
- infrastructure : Company
- infrastructure_maintenance : EconomySettings
- ini_group : PickerCallbacks
- ini_key : WindowDesc
- ini_set : BaseMusic, BaseSounds
- init : TemporaryStorageArray< TYPE, SIZE >
- init_key : TemporaryStorageArray< TYPE, SIZE >
- init_load : SaveLoadFormat
- init_proc : Disaster, EffectProcs
- init_write : SaveLoadFormat
- initial_buf : AutoCompletion
- initial_city_size : EconomySettings
- initial_interest : DifficultySettings
- initial_payment : CargoSpec
- initial_random_bits : HouseScopeResolver
- initial_tempo : MpsMachine
- input_cargo_multiplier : IndustrySpec
- inset : WidgetDimensions
- instance : Game, LinkGraphSchedule, OpenGLBackend, ScriptInstance
- instance_name : ScriptInfo
- instant_close : DropdownWindow
- intended_railtype : RailVehicleInfo
- interest_rate : Economy
- internal_fault_jmp_buf : CrashLogOSX, CrashLogUnix, CrashLogWindows
- internal_id : EngineIDMapping
- interval : IntSettingDesc
- intro_date : Engine
- intro_viewport_commands : SelectGameWindow
- introduces_railtypes : RailTypeInfo
- introduces_roadtypes : RoadTypeInfo
- introduction_date : ObjectSpec, RailTypeInfo, RoadTypeInfo
- introduction_required_railtypes : RailTypeInfo
- introduction_required_roadtypes : RoadTypeInfo
- INVALID_DATE : TimerGameConst< T >
- INVALID_DURATION : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- invalid_id : OverrideManagerBase
- INVALID_NODE : Kdtree< T, TxyFunc, CoordT, DistT >
- invalid_path : Path
- INVALID_TICKS : Ticks
- INVALID_YEAR : TimerGameConst< T >
- is_ai : CompanyProperties
- is_bridge : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- is_city : ExternalTownData
- is_critical : ErrorMessageData
- is_dead : ScriptInstance
- is_developer_only : GameInfo
- is_female : SelectCompanyManagerFaceWindow
- is_freight : CargoSpec
- is_full_loading : LinkRefresher
- is_moust_male : SelectCompanyManagerFaceWindow
- is_paused : ScriptInstance
- is_pending_deletion : NetworkGameSocketHandler
- is_save_data_on_stack : ScriptInstance
- is_started : ScriptInstance
- is_station : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- is_tunnel : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- is_vertical : Scrollbar
- is_viewport_candidate : MutableSpriteCache
- isCancelled : ClientNetworkContentSocketHandler
- isConnecting : ClientNetworkContentSocketHandler
- isocode : LanguagePackHeader
- it : FlowEdgeIterator
- item : NewGRFProfiler::Call
- items : CBinaryHeapT< T >, ExpensesList, IniGroup, NodeList< Titem, Thash_bits_open, Thash_bits_closed >, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- items_dim : DropdownWindow